Skip to main content
GET
/
opportunities
Get opportunities
curl --request GET \
  --url https://api.gospott.com/opportunities \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "name": {
        "viewType": "opportunityName",
        "name": "<string>"
      },
      "description": {
        "viewType": "opportunityDescription",
        "description": "<string>"
      },
      "stage": {
        "viewType": "opportunityStage",
        "stage": {
          "id": "<string>",
          "name": "<string>",
          "order": 123,
          "isOpen": true
        }
      },
      "company": {
        "viewType": "opportunityCompany",
        "company": {
          "id": "<string>",
          "name": "<string>"
        }
      },
      "owner": {
        "viewType": "opportunityOwner",
        "owner": {
          "id": "<string>",
          "name": "<string>",
          "avatarUrl": "<string>",
          "deactivatedAt": "2023-11-07T05:31:56Z"
        }
      },
      "closeDate": {
        "viewType": "opportunityCloseDate",
        "closeDate": {
          "target": "2023-11-07T05:31:56Z"
        }
      },
      "createdAt": {
        "viewType": "opportunityCreatedAt",
        "createdAt": "2023-11-07T05:31:56Z"
      },
      "clientTeam": {
        "viewType": "opportunityClientTeam",
        "clientTeam": [
          {
            "id": "<string>",
            "firstName": "<string>",
            "lastName": "<string>",
            "middleName": "<string>",
            "secondLastName": "<string>",
            "avatarUrl": "<string>",
            "candidateId": "<string>",
            "companyId": "<string>",
            "companyName": "<string>",
            "companyLogoUrl": "<string>",
            "jobTitle": "<string>",
            "department": "<string>",
            "emails": [
              {
                "purpose": "personal",
                "email": "jsmith@example.com",
                "isPrimary": true
              }
            ],
            "phoneNumbers": [
              {
                "purpose": "personal",
                "phoneNumber": "<string>",
                "isPrimary": true
              }
            ]
          }
        ]
      },
      "nextTaskDue": {
        "viewType": "opportunityNextTaskDue",
        "nextTaskDue": {
          "id": "<string>",
          "content": "<string>",
          "dueDate": "2023-11-07T05:31:56Z"
        }
      }
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "hasMore": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

limit
number

Maximum number of opportunities to return per page. Must be between 1 and 50. Defaults to 25.

Example:

25

modifiedSince
string<date-time>

ISO 8601 datetime string to filter opportunities modified on or after this date. Useful for incremental syncing.

Example:

"2024-01-01T00:00:00.000Z"

companyIds
string[]

Filter opportunities by company IDs

cursor
string

Opaque cursor string for pagination. Use the cursor value from the previous response to fetch the next page. Omit for the first page.

Response

Successfully retrieved opportunities.

items
object[]
required

List of opportunities

pagination
object
required

Pagination info containing cursor for the next page and whether more results exist